"use strict";
const common_vendor = require("../../common/vendor.js");
require("../../store/index.js");
require("../../api/index.js");
require("../../api/request.js");
require("../../config/index.js");
if (!Array) {
  const _easycom_uni_icons2 = common_vendor.resolveComponent("uni-icons");
  _easycom_uni_icons2();
}
const _easycom_uni_icons = () => "../../uni_modules/uni-icons/components/uni-icons/uni-icons.js";
if (!Math) {
  _easycom_uni_icons();
}
const _sfc_main = {
  __name: "userInfo",
  setup(__props) {
    common_vendor.onLoad(() => {
      userinfo.value = JSON.parse(common_vendor.index.getStorageSync("userInfo"));
      console.log(userinfo.value);
      avatar.value = common_vendor.index.getStorageSync("avatarUrl");
    });
    const userinfo = common_vendor.ref(null);
    const avatar = common_vendor.ref(null);
    function toDetail(type) {
    }
    return (_ctx, _cache) => {
      var _a, _b;
      return {
        a: avatar.value,
        b: common_vendor.p({
          type: "person",
          color: "gray",
          size: "26"
        }),
        c: common_vendor.t((_a = userinfo.value) == null ? void 0 : _a.nickname),
        d: common_vendor.p({
          type: "forward",
          color: "gray",
          size: "20"
        }),
        e: common_vendor.o(($event) => toDetail()),
        f: common_vendor.p({
          type: "phone",
          color: "gray",
          size: "26"
        }),
        g: common_vendor.t((_b = userinfo.value) == null ? void 0 : _b.phone),
        h: common_vendor.p({
          type: "forward",
          color: "gray",
          size: "20"
        }),
        i: common_vendor.o(($event) => toDetail()),
        j: common_vendor.p({
          type: "calendar",
          color: "gray",
          size: "26"
        }),
        k: common_vendor.p({
          type: "forward",
          color: "gray",
          size: "20"
        }),
        l: common_vendor.o(($event) => toDetail()),
        m: common_vendor.p({
          type: "paperplane",
          color: "gray",
          size: "26"
        }),
        n: common_vendor.p({
          type: "forward",
          color: "gray",
          size: "20"
        }),
        o: common_vendor.o(($event) => toDetail())
      };
    };
  }
};
const MiniProgramPage = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__scopeId", "data-v-2f34225a"], ["__file", "F:/项目2023/视力表/vision-record/pages/user/userInfo.vue"]]);
wx.createPage(MiniProgramPage);
